import { flags } from '@oclif/command';
import JBrowseCommand, { Assembly } from '../base';
export default class AddAssembly extends JBrowseCommand {
    target: string;
    static description: string;
    static examples: string[];
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    static flags: {
        type: flags.IOptionFlag<string | undefined>;
        name: flags.IOptionFlag<string | undefined>;
        alias: flags.IOptionFlag<string[]>;
        displayName: flags.IOptionFlag<string | undefined>;
        faiLocation: flags.IOptionFlag<string | undefined>;
        gziLocation: flags.IOptionFlag<string | undefined>;
        refNameAliases: flags.IOptionFlag<string | undefined>;
        refNameAliasesType: flags.IOptionFlag<string | undefined>;
        refNameColors: flags.IOptionFlag<string | undefined>;
        target: flags.IOptionFlag<string | undefined>;
        out: flags.IOptionFlag<string | undefined>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        load: flags.IOptionFlag<string | undefined>;
        skipCheck: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        overwrite: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        force: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    getAssembly(): Promise<Assembly>;
    run(): Promise<void>;
    guessSequenceType(sequence: string): "indexedFasta" | "bgzipFasta" | "twoBit" | "chromSizes" | "custom";
    needLoadData(location: string): boolean;
    loadData(load: string, filePaths: string[]): Promise<boolean>;
}
