import { flags } from '@oclif/command';
import JBrowseCommand from '../base';
export default class AddConnection extends JBrowseCommand {
    private target;
    static description: string;
    static examples: string[];
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    static flags: {
        type: flags.IOptionFlag<string | undefined>;
        assemblyName: flags.IOptionFlag<string | undefined>;
        config: flags.IOptionFlag<string | undefined>;
        connectionId: flags.IOptionFlag<string | undefined>;
        name: flags.IOptionFlag<string | undefined>;
        target: flags.IOptionFlag<string | undefined>;
        out: flags.IOptionFlag<string | undefined>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        skipCheck: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        overwrite: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        force: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    run(): Promise<void>;
    resolveURL(location: string, check?: boolean): Promise<string>;
    determineConnectionType(url: string, config: string | undefined): "custom" | "UCSCTrackHubConnection" | "JBrowse1Connection";
    isValidJSON(str: string): boolean;
}
